Subject: Re: MVME 2306 almost up and running

From: Michael Lundkvist <[email-masked]>
Date: 07 Mar 1999 21:41:58 +0100

David De Ridder <[email-masked]> writes:

> Michael Lundkvist, with bold words breaking the horrid silence thus began :
> 
> >Do you have any instructions on how to do it? How difficult is it to
> >set up a crosscompile environment on an x86 Linux box?
> 
>  Well, I tried setting up a cross-gcc with cross-binutils on my Linux PC.
>  It was a nightmare. I finally could determine the correct procedure, but the
>  cross-compilation of the kernel itself failed. So I started looking for
>  a precompiled kernel (less headaches).
> 

To bad. It is kind of hard to debug when you can't even compile your
own kernel. 

>  3) Again, using the ENV command, locate the setting 
>     "VME3PCI Master Master Enable" and set it to N[o]. This one causes the
> kernel
>     to hang during boot.

Aaaaah! This one helped a lot!

But I'm not quite there yet. Now the kernel panics when it tries to
configure the ethernet devices.

It looks to me like it dies in net/ipv4/ipconfig.c:ic_open_devs since
i see the line "IP-Config: Entered." but I never see the 
"IP-Config: Opened %s (able=%d)\n", dev->name, able).

I'm attaching the boot log and I'm cc-ing to linuxppc-dev to see if
anyone there has any help to give me.

I'm using Gabriel Pauberts zImage.nfsroot-2.2.1 with the preploader.

My board is a MVME 2307SC-1 with 64MB RAM and a DEC 21143-TD etherne chip.

Is there anymore info I can provide. I feel like I know absolutely
nothing about this hardware.

/Micke

--

Michael Lundkvist
Software Designer
Epact Technology AB
[email-masked]

Bootup info:
----------------------------------------------

Residual-Data Located at: $03F88000
 
Model:                            (e2)
Serial: MOT0333B9B  
Processor/Bus frequencies (Hz): 300026368/66668960
Time Base Divisor: 4000
Original MSR: 3040
Original HID0: 82
Original R31: 0
 
PCI: Probing PCI hardware
 
Linux/PPC load: console=ttyS0 root=/dev/nfs nfsroot=150.132.80.47:/export/home/proj_y7/ nfsaddrs=150.132.80.68:150.132.80.47:150.132.80.1:255.255.255.0:tss25:eth0:off
 
Uncompressing the kernel...Kernel at 0x00000000, size=0x1007bc
Initrd at 0x00000000, size=0x0
Residual data at 0x00101000
Command line at 0x00108000
done
Now booting...
Total memory = 64MB; using 256kB for hash table (at c0140000)
Linux version 2.2.1 (root@vcorr1) (gcc version egcs-2.91.60 19981201 (egcs-1.1.1 release)) #47 Fri Feb 5 11:51:47 WET 1999
OpenPIC found at d1000000.
Boot arguments: console=ttyS0 root=/dev/nfs nfsroot=150.132.80.47:/export/home/proj_y7/ nfsaddrs=150.132.80.68:150.132.80.47:150.132.80.1:255.255.255.0:tss25:eth0:off
OpenPIC Version ? (2 CPUs and 17 IRQ sources) at d1000000
OpenPIC Vendor 0 (Motorola), Device 0 (Raven), Stepping 2
OpenPIC timer frequency is 8333620 Hz
request_irq(): irq 16 handler c000bb00 name 82c59 cascade dev_id 0000
request_irq(): irq 2 handler c0005170 name cascade dev_id 0000
time_init: decrementer frequency = 999956280/60 (15MHz)
IP-Config: Parameter #0: `150.132.80.68'
IP-Config: Parameter #1: `150.132.80.47'
IP-Config: Parameter #2: `150.132.80.1'
IP-Config: Parameter #3: `255.255.255.0'
IP-Config: Parameter #4: `tss25'
IP-Config: Parameter #5: `eth0'
IP-Config: Parameter #6: `off'
Calibrating delay loop... 199.88 BogoMIPS
Memory: 63600k available (648k kernel code, 1228k data, 60k init) [c0000000,c4000000]
POSIX conformance testing by UNIFIX
PCI: Probing PCI hardware
Setting bridge 0
Interrupt mapping from 20 to 80
Linux NET4.0 for Linux 2.2
Based upon Swansea University Computer Society NET3.039
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
Starting kswapd v 1.5 
Serial driver version 4.27 with no serial options enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
pty: 256 Unix98 ptys configured
eth0: DC21143 at 0x11000 (PCI bus 0, device 14), h/w address 08:00:3e:26:a4:52,
      and requires IRQ18 (provided by PCI BIOS).
de4x5.c:V0.543 1998/12/30 [email-masked]
IP-Config: Entered.
NIP: C000FB7C XER: 00000000 LR: C000FB60 REGS: c0227cd0 TRAP: 0300
MSR: 00001032 EE: 0 PR: 0 FP: 0 ME: 1 IR/DR: 11
TASK = c0226000[1] 'swapper' mm->pgd c00ba000 Last syscall: 120 
last math 00000000
GPR00: 00001032 C0227DC0 C0226000 00000001 00008000 C01090D4 00000000 0001864F 
GPR08: 00000001 00007800 80000000 000001E0 0000001F 03F824C0 00000000 00000000 
GPR16: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000 
GPR24: 00000000 00000000 C00E0000 C00E0000 00000000 00009032 C010976C C0227DC0 
Call backtrace: 
00000000 C009AB34 C00945E0 C0092F60 C0092C98 C0055724 C005678C 
C00D5828 C00D65DC C00D502C C00D6AE0 C00CB720 C0004024 C0008494 
00000000 00000000 
Instruction DUMP: 2c090000  912b0000  41820008 <91690004> 3b800001  48000008  3b800000  73aa8000  38000000 
Kernel panic: kernel access of bad area pc c000fb7c lr c000fb60 address 7804 tsk swapper/1
Rebooting in 180 seconds..

[[ This message was sent via the linuxppc-dev mailing list.  Replies are ]]
[[ not  forced  back  to the list, so be sure to Cc linuxppc-dev if your ]]
[[ reply is of general interest. Please check http://lists.linuxppc.org/ ]]
[[ and http://www.linuxppc.org/ for useful information before posting.   ]]